package com.bytedance.android.livesdk.model;

import X.H0p;
import com.bytedance.android.live.base.model.ImageModel;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.List;

public class UserHonor implements H0p {
    @c(LIZ = "diamond_icon")
    public ImageModel LIZ;
    @c(LIZ = "icon")
    public ImageModel LIZIZ;
    @c(LIZ = "next_icon")
    public ImageModel LIZJ;
    @c(LIZ = "next_name")
    public String LIZLLL;
    @c(LIZ = "name")
    public String LJ;
    @c(LIZ = "deprecated20")
    public long LJFF;
    @c(LIZ = "deprecated23")
    public long LJI;
    @c(LIZ = "im_icon")
    public ImageModel LJII;
    @c(LIZ = "im_icon_with_level")
    public ImageModel LJIIIIZZ;
    @c(LIZ = "new_im_icon_with_level")
    public ImageModel LJIIIZ;
    @c(LIZ = "live_icon")
    public ImageModel LJIIJ;
    @c(LIZ = "new_live_icon")
    public ImageModel LJIIJJI;
    @c(LIZ = "level")
    public int LJIIL;
    @c(LIZ = "grade_icon_list")
    public List<GradeIcon> LJIILIIL;
    @c(LIZ = "grade_describe")
    public String LJIILJJIL;
    @c(LIZ = "deprecated25")
    public long LJIILL;
    @c(LIZ = "deprecated24")
    public long LJIILLIIL;
    @c(LIZ = "background")
    public ImageModel LJIIZILJ;
    @c(LIZ = "background_back")
    public ImageModel LJIJ;
    @c(LIZ = "upgrade_need_consume")
    public long LJIJI;
    @c(LIZ = "grade_banner")
    public String LJIJJ;
    @c(LIZ = "next_privileges")
    public String LJIJJLI;
    @c(LIZ = "score")
    public long LJIL;
    @c(LIZ = "screen_chat_type")
    public long LJJ;

    static {
        Covode.recordClassIndex(18894);
    }

    public final ImageModel LIZ() {
        return this.LIZ;
    }

    public final ImageModel LIZIZ() {
        return this.LIZIZ;
    }

    public final ImageModel LIZJ() {
        return this.LIZJ;
    }

    public final String LIZLLL() {
        return this.LIZLLL;
    }

    public final String LJ() {
        return this.LJ;
    }

    public final long LJFF() {
        return this.LJFF;
    }

    public final long LJI() {
        return this.LJI;
    }

    public final long LJII() {
        return this.LJIILL;
    }

    public final long LJIIIIZZ() {
        return this.LJIILLIIL;
    }

    public final ImageModel LJIIIZ() {
        return this.LJII;
    }

    public final ImageModel LJIIJ() {
        return this.LJIIIIZZ;
    }

    public final int LJIIJJI() {
        return this.LJIIL;
    }

    public final ImageModel LJIIL() {
        return this.LJIIJ;
    }

    public final List<GradeIcon> LJIILL() {
        return this.LJIILIIL;
    }

    public final String LJIILLIIL() {
        return this.LJIILJJIL;
    }

    public final ImageModel LJIIZILJ() {
        return this.LJIIZILJ;
    }

    public final ImageModel LJIJ() {
        return this.LJIJ;
    }

    public final ImageModel LJIILIIL() {
        ImageModel imageModel = this.LJIIJJI;
        if (imageModel != null) {
            return imageModel;
        }
        return this.LJIIJ;
    }

    public final ImageModel LJIILJJIL() {
        ImageModel imageModel = this.LJIIIZ;
        if (imageModel != null) {
            return imageModel;
        }
        return this.LJIIIIZZ;
    }

    public int hashCode() {
        int i;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        ImageModel imageModel = this.LIZ;
        int i14 = 0;
        if (imageModel != null) {
            i = imageModel.hashCode();
        } else {
            i = 0;
        }
        int i15 = i * 31;
        ImageModel imageModel2 = this.LIZIZ;
        if (imageModel2 != null) {
            i2 = imageModel2.hashCode();
        } else {
            i2 = 0;
        }
        int i16 = (i15 + i2) * 31;
        ImageModel imageModel3 = this.LIZJ;
        if (imageModel3 != null) {
            i3 = imageModel3.hashCode();
        } else {
            i3 = 0;
        }
        int i17 = (i16 + i3) * 31;
        String str = this.LIZLLL;
        if (str != null) {
            i4 = str.hashCode();
        } else {
            i4 = 0;
        }
        int i18 = (i17 + i4) * 31;
        String str2 = this.LJ;
        if (str2 != null) {
            i5 = str2.hashCode();
        } else {
            i5 = 0;
        }
        long j = this.LJFF;
        long j2 = this.LJI;
        int i19 = (((((i18 + i5) * 31) + ((int) (j ^ (j >>> 32)))) * 31) + ((int) (j2 ^ (j2 >>> 32)))) * 31;
        ImageModel imageModel4 = this.LJII;
        if (imageModel4 != null) {
            i6 = imageModel4.hashCode();
        } else {
            i6 = 0;
        }
        int i20 = (i19 + i6) * 31;
        ImageModel imageModel5 = this.LJIIIIZZ;
        if (imageModel5 != null) {
            i7 = imageModel5.hashCode();
        } else {
            i7 = 0;
        }
        int i21 = (i20 + i7) * 31;
        ImageModel imageModel6 = this.LJIIIZ;
        if (imageModel6 != null) {
            i8 = imageModel6.hashCode();
        } else {
            i8 = 0;
        }
        int i22 = (i21 + i8) * 31;
        ImageModel imageModel7 = this.LJIIJ;
        if (imageModel7 != null) {
            i9 = imageModel7.hashCode();
        } else {
            i9 = 0;
        }
        int i23 = (i22 + i9) * 31;
        ImageModel imageModel8 = this.LJIIJJI;
        if (imageModel8 != null) {
            i10 = imageModel8.hashCode();
        } else {
            i10 = 0;
        }
        int i24 = (((i23 + i10) * 31) + this.LJIIL) * 31;
        List<GradeIcon> list = this.LJIILIIL;
        if (list != null) {
            i11 = list.hashCode();
        } else {
            i11 = 0;
        }
        int i25 = (i24 + i11) * 31;
        String str3 = this.LJIILJJIL;
        if (str3 != null) {
            i12 = str3.hashCode();
        } else {
            i12 = 0;
        }
        long j3 = this.LJIILL;
        long j4 = this.LJIILLIIL;
        int i26 = (((((i25 + i12) * 31) + ((int) (j3 ^ (j3 >>> 32)))) * 31) + ((int) (j4 ^ (j4 >>> 32)))) * 31;
        ImageModel imageModel9 = this.LJIIZILJ;
        if (imageModel9 != null) {
            i13 = imageModel9.hashCode();
        } else {
            i13 = 0;
        }
        int i27 = (i26 + i13) * 31;
        ImageModel imageModel10 = this.LJIJ;
        if (imageModel10 != null) {
            i14 = imageModel10.hashCode();
        }
        return i27 + i14;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj != null && getClass() == obj.getClass()) {
            UserHonor userHonor = (UserHonor) obj;
            if (this.LJFF != userHonor.LJFF || this.LJI != userHonor.LJI || this.LJIIL != userHonor.LJIIL) {
                return false;
            }
            ImageModel imageModel = this.LIZ;
            if (imageModel == null ? userHonor.LIZ != null : !imageModel.equals(userHonor.LIZ)) {
                return false;
            }
            ImageModel imageModel2 = this.LIZIZ;
            if (imageModel2 == null ? userHonor.LIZIZ != null : !imageModel2.equals(userHonor.LIZIZ)) {
                return false;
            }
            ImageModel imageModel3 = this.LIZJ;
            if (imageModel3 == null ? userHonor.LIZJ != null : !imageModel3.equals(userHonor.LIZJ)) {
                return false;
            }
            String str = this.LIZLLL;
            if (str == null ? userHonor.LIZLLL != null : !str.equals(userHonor.LIZLLL)) {
                return false;
            }
            String str2 = this.LJ;
            if (str2 == null ? userHonor.LJ != null : !str2.equals(userHonor.LJ)) {
                return false;
            }
            ImageModel imageModel4 = this.LJII;
            if (imageModel4 == null ? userHonor.LJII != null : !imageModel4.equals(userHonor.LJII)) {
                return false;
            }
            ImageModel imageModel5 = this.LJIIIIZZ;
            if (imageModel5 == null ? userHonor.LJIIIIZZ != null : !imageModel5.equals(userHonor.LJIIIIZZ)) {
                return false;
            }
            ImageModel imageModel6 = this.LJIIIZ;
            if (imageModel6 == null ? userHonor.LJIIIZ != null : !imageModel6.equals(userHonor.LJIIIZ)) {
                return false;
            }
            ImageModel imageModel7 = this.LJIIJ;
            if (imageModel7 == null ? userHonor.LJIIJ != null : !imageModel7.equals(userHonor.LJIIJ)) {
                return false;
            }
            ImageModel imageModel8 = this.LJIIJJI;
            if (imageModel8 == null ? userHonor.LJIIJJI != null : !imageModel8.equals(userHonor.LJIIJJI)) {
                return false;
            }
            List<GradeIcon> list = this.LJIILIIL;
            if (list == null ? userHonor.LJIILIIL != null : !list.equals(userHonor.LJIILIIL)) {
                return false;
            }
            if (this.LJIILLIIL != userHonor.LJIILLIIL || this.LJIILL != userHonor.LJIILL) {
                return false;
            }
            ImageModel imageModel9 = this.LJIIZILJ;
            if (imageModel9 == null ? userHonor.LJIIZILJ != null : !imageModel9.equals(userHonor.LJIIZILJ)) {
                return false;
            }
            ImageModel imageModel10 = this.LJIJ;
            if (imageModel10 == null ? userHonor.LJIJ != null : !imageModel10.equals(userHonor.LJIJ)) {
                return false;
            }
            String str3 = this.LJIILJJIL;
            String str4 = userHonor.LJIILJJIL;
            if (str3 != null) {
                return str3.equals(str4);
            }
            if (str4 == null) {
                return true;
            }
        }
        return false;
    }
}
